1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

sitebuilder 4.5 publish site to PHP5.3 server

Discussion in 'SiteBuilder' started by skiline, Nov 14, 2012.

  1. skiline

    skiline New Pleskian

    24
    23%
    Joined:
    Jan 4, 2008
    Messages:
    17
    Likes Received:
    0
    Dear All:

    the files of a site was created by sitebuilder 4.5, they was published to a server with php5.2.

    All is well.

    When they was published to a server with php 5.3 , I get some error messages like:

    Deprecated: Function set_magic_quotes_runtime() is deprecated in /www/sitebuilder/init.php on line 44

    I know it is a function compatibility issue after PHP5.3.

    To edit those files on PHP5.3 server don't make sense,and those php files is encoded.

    According the offical requirements page:

    http://www.parallels.com/products/plesk/sitebuilder/reqs/

    Published Sites Server Requirements
    Parallels Plesk SiteBuilder 4.5 for Linux/Unix:

    ‧Any Linux/Unix OS
    ‧Apache web server (any version)
    ‧PHP >= 4.3.9 (mail support should work)


    OK,PHP 5.3 >= PHP 4.3.9

    Is there any solution to solve the problem ?
     
Loading...